#This package is supposed to be a noarch pacakge. 
#Fixing bug #546686.
%global		debug_package		%{nil}
Name:			cricscore-applet
Version:		1.1.0.5
Release:		2%{?dist}
Summary:		A cricket score applet for GNOME

Group:			Applications/Internet
License:		GPLv2+
URL:			https://sourceforge.net/projects/cricscoreapplet/
Source0:		http://downloads.sourceforge.net/project/cricscoreapplet/cricscore-%{version}.tar.gz
#Remove the hardcoded path
Patch0:			cricscore-server.patch
Patch1:			cricscore_prefs.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:		pygtk2-devel  gettext
BuildRequires:		python-devel >= 2.4
		
%description
 %{name} brings cricket score to your GNOME panel.

%prep
%setup -q -n cricscore-%{version}
sed -i -e '1d;2i#!/usr/bin/python' src/*.py
%patch0 -p1 -b .fix
%patch1 -p1 -b .fix


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libexecdir}/%{name}/
mkdir -p %{buildroot}%{_libdir}/bonobo/servers/
mkdir -p %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_datadir}/%{name}/
make  %{?_smp_mflags}	install	BIN_DIR=%{buildroot}%{_libexecdir}/%{name}	PIXMAPS_DIR=%{buildroot}%{_datadir}/pixmaps/	SERVERS_DIR=%{buildroot}%{_libdir}/bonobo/servers/ DATA_DIR=%{buildroot}%{_datadir}/%{name}/
chmod 644 %{buildroot}%{_libdir}/bonobo/servers/cricketscore.server
chmod 644 %{buildroot}%{_datadir}/%{name}/GNOME_CricScoreApplet.xml

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING INSTALL NEWS README TODO
%{_libexecdir}/%{name}/*
%{_datadir}/%{name}/GNOME_CricScoreApplet.xml
%{_libdir}/bonobo/servers/cricketscore.server
%{_datadir}/pixmaps/cricscore.png
%dir %{_datadir}/%{name}
%dir %{_libexecdir}/%{name}


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Feb 6 2011 Arun SAG <sagarun [AT] gmail dot com> - 1.1.0.5-1
- Updated to the latest version

* Sun Sep 19 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.1.0.3-3
- Koji won't build my package because already a build exists

* Sun Sep 19 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.1.0.3-2
- Disabled generation of debug info package to fix #546686

* Thu Apr 22 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.1.0.3-1
- Updated to new version

* Sat Apr 17 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.1.0.2-2
- Using make file to install
- Fixed summary and description
- Fixed Requires

* Sat Feb 6 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.1.0.2-1
- Updated to version 1.1.0.2-1
- Fixed source0 url

* Thu Dec 10 2009 Arun SAG <sagarun [AT] gmail dot com> - 1.1-1
- Initial release 1.1-1
